# SDL Visual Test: SDLVisualTest_Variation Struct Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_Variation Struct Reference

`#include <SDL_visualtest_variator_common.h>`

## Data Fields

SDLVisualTest_SUTOptionValue * | vars
int | num_vars

## Detailed Description

Represents a valid combination of parameters that can be passed to the SUT. The ordering of the values here is the same as the ordering of the options in the SDLVisualTest_SUTConfig object for this variation.

## Field Documentation

int num_vars

Number of option values in `vars`

SDLVisualTest_SUTOptionValue* vars

Pointer to array of option values

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_variator_common.h